petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexConstructCohesiveCells

Construct cohesive cells which split the face along an internal interface

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexConstructCohesiveCells(DM dm, DMLabel label, DM *dmSplit)

Collective on dm

### Input Parameters

| dm | - The original DM
| label | - The label specifying the boundary faces (this could be auto-generated)

### Output Parameters

dmSplit -The new DM

### See Also

DMCreate(), DMPlexLabelCohesiveComplete()

Level:developer
Location:src/dm/impls/plex/plexsubmesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages